Scala Bytecode Parser2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package scalap
  Definition Classes
    tools
-  package scalax
- Arguments
- ByteArrayReader
- Classfile
- Classfiles
- CodeWriter
- Decode
- JavaWriter
- Main
- MetaParser
- Properties

p

scala.tools

# scalap 

#### package scalap

Content Hierarchy
 
Ordering

1. Alphabetic

Visibility

1. Public
2. All

### Type Members

1.  class Arguments extends AnyRef
2.  class ByteArrayReader extends AnyRef
3.  class Classfile extends AnyRef
4.  class CodeWriter extends AnyRef
5.  class JavaWriter extends CodeWriter
6.  class Main extends AnyRef

   The main object used to execute scalap on the command-line.

7.  class MetaParser extends AnyRef

   a parser class for parsing meta type information in classfiles generated by pico.

### Value Members

1.  object Arguments
2.  object Classfiles
3.  object Decode

   Temporary decoder.

   Temporary decoder. This would be better off in the scala.tools.nsc but right now the compiler won't acknowledge scala.tools.scalap when it's bootstrapping, so the reference has to go from here to there.

4.  object Main extends Main
5.  object Properties extends PropertiesTrait

   Loads decoder.properties from the jar.

### Ungrouped